
[IDE] pdc202xx_old.c: fix enabling 66MHz clock for modes > UDMA2

drive->id is now always present even if no device is attached,
therefore check for drive->present instead.

 drivers/ide/pci/pdc202xx_old.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/ide/pci/pdc202xx_old.c~ide-pdc_old-udma66-fix drivers/ide/pci/pdc202xx_old.c
--- linux-2.6.0-test11/drivers/ide/pci/pdc202xx_old.c~ide-pdc_old-udma66-fix	2003-12-07 20:13:04.584831184 +0100
+++ linux-2.6.0-test11-root/drivers/ide/pci/pdc202xx_old.c	2003-12-07 20:13:04.588830576 +0100
@@ -424,10 +424,10 @@ static int config_chipset_for_dma (ide_d
 	} else {
 		if (ultra_66) {
 			/*
-			 * check to make sure drive on same channel
-			 * is u66 capable
+			 * Check to make sure drive on the same channel
+			 * is UDMA3 or higher capable.  Ignore empty slots.
 			 */
-			if (hwif->drives[!(drive->dn%2)].id) {
+			if (hwif->drives[!(drive->dn%2)].present) {
 				if (hwif->drives[!(drive->dn%2)].id->dma_ultra & 0x0078) {
 					hwif->OUTB(CLKSPD | mask, (hwif->dma_master + 0x11));
 				} else {

_
